Subject: Thanks, Linux Standard Base Compatibility, Install travails
From: "Ralph Mellor" <[email-masked]>
To: <[email-masked]>
Date: Mon, 28 May 2001 16:48:46 -0500

Hi,

I've only been using cygwin for a few minutes now,
but I must say I am very happy.

For one thing, I was able to immediately compile and
run lp_solve, a linear programming black box, which
was my purpose in installing cygwin in the first place.

More generally, I love the way that everything so far
has worked flawlessly (I'm ignoring the install issues,
which may have been my fault, discussed below.)

And it's free software. Really, quite extraordinary.

Thanks!

-------------------------

I see you've discussed targetting specific unix flavors
in the past. It would seem natural to me (based on
knowing almost nothing about cygwin of course) to
target (some subset of?) LSB 1.0 as a primary flavor.

-------------------------

I installed cygwin yesterday for the first time. It
appeared to install cleanly. But it didn't work.
"bash not found". Not a good start.

I read the doc, looked at cygwin.bat. Not only
is the FAQ's entry for cygwin.bat out of date,
but someone posted months ago to point this
out. :< Worse, I could not find the post that must
be on the list somewhere that explains the new
way that the cygwin.bat, and more importantly,
appropriate setting of paths, is supposed to work.

I tried setting the path manually. This got bash
to run, but still left errors when bash was started
(eg 'id: command not found') even though I had
added all 3 bin locations to the path (though I
could not find, at that time, the order they should
be in). I didn't bother to go searching for 'id.exe'
or whatever as this seemed a slippery slope to 
nowhere.

I tried a fresh install earlier today. This resulted in
a new error: setup.ini mismatch. This, despite the
fact that I (thought I) had eliminated all traces of
cygwin according to the FAQ's instructions.

Frustrated, I went off and did something else.
Then I came back to do the install one last time,
with the intention of writing up the details and
errors as I went so I could post to this list.

Naturally, it installed flawlessly, and bash runs
flawlessly too.

No, I have no idea what I did differently.

--ralph

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple